#!/bin/bash

# This program read  the file misc/rev, which contains the day's rev number
# resets it to 0 if it's a new day (the current date is greater than the
# stord date if filemisc/time) 
declare -i d=$(cat misc/time)	# Cureent revision date
declare -i t=$(date "+%Y%m%d")  # current date
if [ $d -lt $t ]; then          # Is it a new Day?
    echo $t > misc/time		#   change the revision date
    i=0				#   reset the revision number
else                            
    declare -i i=$(cat misc/rev) #   read the revision number
fi
((++i))				# Increment the revision
echo $i > misc/rev		# save the revision number
echo $i				# return the revision number to the caller
