/*
iplcd (c) Copyright Neil Cherry 2005
Portions of this code have been taken from x10d.c and are (c) Copyright
Daniel D. Lanciani 1995-2005

All rights reserved.
 
iplcd is licensed free of charge for non-commercial distribution and for
personal and internal business use only.  iplcd may not be distributed
for profit, nor may it be included in products or otherwise distributed by
commercial entities to their clients or customers without the prior written
permission of the authors.
 
TO THE EXTENT ALLOWED BY APPLICABLE LAW, iplcd IS PROVIDED
"AS IS", WITH NO EXPRESS OR IMPLIED WARRANTY, INCLUDING, BUT
NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS FOR A PARTICULAR PURPOSE.
 
IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW WILL THE AUTHOR BE
LIABLE FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL
OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO
USE iplcd EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY
OF SUCH DAMAGES.
 
These copyright, license, and disclaimer notices must be included
with all copies of iplcd.  Modified versions of iplcd must be
marked as such.

ddl@danlan.com
*/


#ifndef CLIENTS_H
#define CLIENTS_H
/*
**
** Author:      Neil Cherry
** Date:        10/30/99
** Version:     1.6 (sub alpha)
**
** $Id:$
**
** $Log:$
**
*/

#if 0
#if IPV6
// Put the type def for an IPV6 (IPNG) here
#else
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

typedef struct in_addr IpAddr;
#endif
#endif

// This is from Dan's x10d code, though it's starting to look a little different
struct client {
  int  socket,			// clients fd
       cnt,                     // n bytes waiting in queue
       perm;                    // Permissions either 0=R or 1=RW
  char ipaddr[257];		// IP addr of the client
  char buf[MAXLINE];
  char id[MAXLINE];
  int  uid;

  // this is the purpose of the flags about so I might as well use it properly :-)
  int debug:	1;
  int quiet:	1;
};

#endif
